Summary: A DHCP relay agent
Name: TI_Linux-target-dhcp-forwarder
Version: 0.4
Vendor: Texas Instruments
Release: TI%{TI_release_version}
License: GPL
URL: http://www.tu-chemnitz.de/~ensc/dhcp-fwd
Source0: dhcp-forwarder-%{version}.orig.tar.gz
Group: System Environment/Daemons

%define pkgname ti_linux-%{_hhl_target_arch}-dhcp-forwarder
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}


%description
dhcp-fwd forwards DHCP messages between subnets with different sublayer
broadcast domains. It is similar to the DHCP relay agent dhcrelay of
ISC's DHCP, but has the following features which are important for me:

* Runs as non-root in a chroot-jail
* Uses "normal" AF_INET sockets which allows to uses packetfilters to
  filter incoming messages.
* The DHCP agent IDs can be defined freely
* Has a small memory footprint when using dietlibc

%package -n %{pkgname}
Summary: A DHCP relay agent
Group: System Environment/Daemons
AutoReqProv: no
%description -n %{pkgname}
dhcp-fwd forwards DHCP messages between subnets with different sublayer
broadcast domains. It is similar to the DHCP relay agent dhcrelay of
ISC's DHCP, but has the following features which are important for me:

* Runs as non-root in a chroot-jail
* Uses "normal" AF_INET sockets which allows to uses packetfilters to
  filter incoming messages.
* The DHCP agent IDs can be defined freely
* Has a small memory footprint when using dietlibc

%prep
%target_check
%setup -q -n dhcp-forwarder-%{version}

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%define dhcp_forwarder_temp %{TI_build_home}/rpm/BUILD/dhcp_forwarder-%{version}/__install
CFLAGS="-O0 -DNDEBUG=0" ./configure --disable-dietlibc  --prefix=%{dhcp_forwarder_temp} --build=i386-linux --host=mipsel-linux
%make

%install
export PATH=%{TI_uclibc_path}:$PATH
install -s -m 0755 dhcp-fwd %{TI_base}%{TI_sbindir}/.

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_sbindir}/dhcp-fwd


%changelog
* Fri Aug 30 2002 (Marian Stagarescu <m-stagarescu2@ti.com>)
- dhcp-forwarder version 0.4





