Summary: dproxy is a small, smart caching nameserver
Name: TI_Linux-target-dproxy-nexgen
Version: 1.0
Vendor: Texas Instruments
Release:  TI%{TI_release_version}
Source: dproxy-nexgen_%{version}.orig.tar.gz
License: GPL
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-dproxy-nexgen
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%define TI_patch_date 10_18_02
Patch0: dproxy-nexgen_%{version}-%{TI_patch_date}.diff.gz
Patch10: dproxy-timeout-init.diff.gz


%Description
dproxy is a small, smart caching nameserver for use on gateway machines with
non-permenant connections. It includes support for PPP, Ethernet, ISDN and
DHCP connections.  dproxy safely returns a DNS error, when it detects no 
connection to the outside network,  preventing programs like Netscape
from hanging as happens when BIND is used in the same situation. 
dproxy also  pre-caches all the entries in /etc/hosts, and provides access to 
all cache entries when offline. This means dproxy can be used as a DNS server 
for small networks.  The cache is stored in human readable text file format 
and has mechanisms to allow either pre-set times for cache expiries, or to 
allow expires to be calculated from TTL returned on DNS lookups.
It is also suitable for use on stand alone workstations for
accelerating slower Internet connections.

%package -n %{pkgname}
Summary: dproxy is a small, smart caching nameserver
Group: net 
AutoReqProv: no
%Description -n %{pkgname}
dproxy is a small, smart caching nameserver for use on gateway machines with
non-permenant connections. It includes support for PPP, Ethernet, ISDN and
DHCP connections.  dproxy safely returns a DNS error, when it detects no 
connection to the outside network,  preventing programs like Netscape
from hanging as happens when BIND is used in the same situation. 
dproxy also  pre-caches all the entries in /etc/hosts, and provides access to 
all cache entries when offline. This means dproxy can be used as a DNS server 
for small networks.  The cache is stored in human readable text file format 
and has mechanisms to allow either pre-set times for cache expiries, or to 
allow expires to be calculated from TTL returned on DNS lookups.
It is also suitable for use on stand alone workstations for
accelerating slower Internet connections.

%Prep
%target_check
%setup -q -n dproxy-nexgen
%patch -p1
%patch -p1 -P 10

%Build
%target_setup
export PATH=%{TI_uclibc_path}:$PATH
%make TI_FILESYSTEM=%{TI_filesystem_path} ti_linux_dproxy
%{_hhl_target_arch}-strip -s dproxy

%Install
%target_setup
install -m 0755 dproxy %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/dproxy
cd %{TI_build_home}/%{TI_linux_home}/%{TI_etcdir}
ln -sf ./resolv.conf dproxy.conf

%Clean
rm -rf *

%Files 
%defattr(-,root,root)
%{TI_rsbindir}/dproxy

%changelog
* Fri Oct 18 2002 (Mukesh Kumar <mkumar@telogy.com> )
- Modified dproxy to support upto 5 DNS name servers.
* Mon Aug 26 2002 (Marian Stagarescu <m-stagarescu2@ti.com>)
- changed dproxy.conf to link to resolv.conf (name_server changed to nameserver
  per /etc/resolv.conf syntax) 
* Thu Jul 11 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of dproxy-nexgen



