Summary: iproute2 package for Advanced network management under linux.
Name: TI_Linux-target-iproute2
Version: 20010824
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source: iproute2_%{version}.orig.tar.gz

%define TI_patch_date 11_05_03

Patch: iproute2_%{version}-%{TI_patch_date}.diff.gz
License: GPL
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-iproute2
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
iproute2 is a package for advanced network management under linux.
In practice, it is composed of a bunch of small utilites to dynamically
configure the kernel by means of rtnetlink sockets - a modern and powerful
interface for the configureation of the networking stack. Note that we use
only the TC utility for managing and manipulating the transmission of packets.
The TC utility is used to configure the queueing desciplines for shaping, 
scheduling, policing and dropping.

%package -n %{pkgname}
Summary: iproute2 package for Advanced network management under linux.
Group: net 
AutoReqProv: no
%description -n %{pkgname}
iproute2 is a package for advanced network management under linux.
In practice, it is composed of a bunch of small utilites to dynamically
configure the kernel by means of rtnetlink sockets - a modern and powerful
interface for the configureation of the networking stack. Note that we use
only the TC utility for managing and manipulating the transmission of packets.
The TC utility is used to configure the queueing desciplines for shaping, 
scheduling, policing and dropping.

%prep
%target_check
%setup -q -n iproute2-%{version}
%patch -p1

%build
export PATH=%{TI_uclibc_path}:$PATH
%make KERNEL_DIR=%{TI_kernel_path}/%{TI_kernel_version} LIBC_DIR=%{TI_uclibc_base}
strip -s -R .note tc/tc ip/ip

%install
%target_setup
install -m 0755 tc/tc %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/tc
install -m 0755 ip/ip %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/ip
install -m 0755 etc/iproute2/qos-shaper %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/.shaper
(cd  %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/; ln -sf ../var/tmp/.marker .marker)


%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_rsbindir}/tc

%changelog
* Wed Nov 05 2003 Snehaprabha N <nsnehaprabha@telogy.com>
- Added port range for source and destination ports
- Removed fw filter support for TC.
* Tue Oct 28 2003 Snehaprabha N <nsnehaprabha@telogy.com>
- Added firewall(fw) filter support for TC (Ramesh).
* Wed Oct 22 2003 Snehaprabha N <nsnehaprabha@telogy.com>
- Modified the default values for priowrr, added mac port support in u32 classifier (Ramesh).
* Mon Oct 13 2003 Snehaprabha N <nsnehaprabha@telogy.com>
- Initiali packaging of iproute2/tc utilities.

