Summary: Utilities for configuring the linux ethernet bridge.
Name: TI_Linux-target-bridge-utils
Version: 0.9.5
Release: TI%{TI_release_version}
Copyright: GPL
Group: System Environment/Base
Vendor: Texas Instruments
Source: bridge-utils_%{version}.orig.tar.gz 

%define pkgname ti_linux-%{_hhl_target_arch}-bridge-utils


#-------------------
# Patches 
#-------------------
%define TI_patch_date1 06_29_02
%define TI_patch_date2 09_17_02
%define TI_patch_date3 06_18_03
Patch1: bridge-utils_%{version}-%{TI_patch_date1}.diff.gz
Patch2: bridge-utils_%{version}-%{TI_patch_date2}.diff.gz
Patch3: bridge-utils_%{version}-%{TI_patch_date3}.diff.gz


Buildroot:  %{TI_build_home}/%{TI_linux_home}/
Prefix:     %{TI_build_home}/%{TI_linux_home}


%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package -n %{pkgname}
Summary: Utilities for configuring the linux ethernet bridge.
Group: Development/Libraries

%description -n %{pkgname}
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%prep
%target_check
%setup -q -n bridge-utils-%{version}
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3


%build
%target_setup
export PATH=%{TI_uclibc_path}:$PATH
make 
cd brctl
%{_hhl_target_arch}-strip -s brctl

%install
install -m 0755 brctl/brctl %{TI_build_home}/%{TI_linux_home}/%{TI_sbindir}/brctl

%clean
rm -rf *

%files
%defattr (-,root,root)
%{TI_sbindir}/brctl


%changelog
* Wed Nov 07 2001 Matthew Galgoci <mgalgoci@redhat.com>
- initial cleanup of spec file from net release





